Bug 1310247 - New configuration item, TRAFFIC_CONTROL_DEVS
New configuration item, TRAFFIC_CONTROL_DEVS
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking (Show other bugs)
2.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Rory Thrasher
Meng Bo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-19 15:56 EST by Rory Thrasher
Modified: 2016-03-22 12:54 EDT (History)
3 users (show)

See Also:
Fixed In Version: openshift-origin-node-util-1.38.6.1-1.el6op rubygem-openshift-origin-node-1.38.5.2-1.el6op
Doc Type: Enhancement
Doc Text:
Feature: Enable the use of traffic control on multiple network interfaces. Reason: Nodes may have multiple interfaces. Some administrators may need to specifically control the traffic on all interfaces on a node, rather than just a single interface. Result: Traffic Control can now be configured to control multiple interfaces.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-22 12:54:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rory Thrasher 2016-02-19 15:56:13 EST
Doc Text bug for change for 2.2.9

Relevant changes: https://github.com/openshift/origin-server/pull/6298




Add a new configuration item, TRAFFIC_CONTORL_DEVS, which is a
space-delimited list of interfaces that should be tc-managed.

Update code so that tc changes are applied across all devices that
are to be traffic-controlled.

Also hard-code limits to very high numbers for the loopback interface if it is to be managed.
Comment 4 Timothy Williams 2016-02-22 19:02:31 EST
QA:

Could you please verify the following few scenarios?

- oo-accept-node fails when no device is found
1) Add the following to /etc/openshift/node.conf
     TRAFFIC_CONTROL_DEVS="lo eth0 fakedev1"
2) Run oo-accept-node. The output should look similar to:
     FAIL: tc htb qdisc not configured
     Cannot find device "fakedev1"

- oo-accept-node succeeds
1) Add a network interface to the node
2) Add the following to /etc/openshift/node.conf, using the real name of the new interface instead of 'fakedev1':
     TRAFFIC_CONTROL_DEVS="lo eth0 fakedev1"
3) Run oo-accept-node. The command should succeed

- Verify that traffic control is enforced on a new interface
1) Add a network interface to the node
2) Add the following to /etc/openshift/node.conf, using the real name of the new interface instead of 'fakedev1':
     TRAFFIC_CONTROL_DEVS="lo eth0 fakedev1"
3) Restart the openshift-tc service
4) Check the `tc_max_bandwidth` value in /etc/openshift/resource_limits.conf
5) Run the following command, replacing fakedev1 with the name of the new interface:
     /usr/sbin/tc -d class show dev fakedev1
6) The output of the above command should define a ceiling equal to that defined as `tc_max_bandwith`. For example, if the default `800` was used in resource_limits.conf, the following should be seen in the command output:
class htb 1:3e8 parent 1:1 leaf 3e8: prio 0 quantum 100000 rate 2000Kbit ceil 800000Kbit burst 1600b/8 mpu 0b overhead 0b cburst 1600b/8 mpu 0b overhead 0b level 0 

Note the 'ceil 800000Kbit`
Comment 5 Ma xiaoqiang 2016-03-01 00:33:13 EST
Check on puddle [2.2.9/2016-02-25.2]

1) Add the following to /etc/openshift/node.conf
     TRAFFIC_CONTROL_DEVS="lo eth0 eth1"
2) Run oo-accept-node. The output should look similar to:
[root@node1 ~]# oo-accept-node 
Cannot find device "eth1"
FAIL: tc htb qdisc not configured
1 ERRORS


3) Run oo-accept-node after adding eth1 device
# oo-accept-node 
PASS

4). Check the 'tc_max_bandwidth'
# tc -d class show dev eth1
class htb 1:1 root prio 0 quantum 200000 rate 800000Kbit ceil 800000Kbit burst 1600b/8 mpu 0b overhead 0b cburst 1600b/8 mpu 0b overhead 0b level 0 
[root@node1 ~]# tc -d class show dev eth0
class htb 1:1 root prio 0 quantum 200000 rate 800000Kbit ceil 800000Kbit burst 1600b/8 mpu 0b overhead 0b cburst 1600b/8 mpu 0b overhead 0b level 0

move this issue to VERIFIED.
Comment 7 errata-xmlrpc 2016-03-22 12:54:55 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-0489.html

Note You need to log in before you can comment on or make changes to this bug.